import 'package:equatable/equatable.dart';

abstract class RadioState extends Equatable {
  const RadioState();

  @override
  List<Object> get props => [];
}

class RadioInitial extends RadioState {}

class RadioSelectionChanged extends RadioState {
  final int selectedIndex;

  const RadioSelectionChanged(this.selectedIndex);

  @override
  List<Object> get props => [selectedIndex];
}
